# Generated from grape-rails-routes-1.0.gem by gem2rpm -*- rpm-spec -*-
%global gem_name grape-rails-routes

Name: rubygem-%{gem_name}
Version: 1.0
Release: 1%{?dist}
Summary: After you mount Grape API routes into Rails, Grape API routes would normally not be printed via `rake routes` or `/rails/info/routes`. This gem adds routes printing for Grape with Rails
License: MIT
URL: https://github.com/pmq20/grape-rails-routes
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby >= 1.8.7
BuildArch: noarch

%description
After you mount Grape API routes into Rails, Grape API routes would normally
not be printed via `rake routes` or `/rails/info/routes`. This gem adds routes
printing for Grape with Rails.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/



%check
pushd .%{gem_instdir}
# Run the test suite.
popd

%files
%dir %{gem_instdir}
%exclude %{gem_instdir}/.gitignore
%license %{gem_instdir}/LICENSE
%{gem_instdir}/app
%{gem_libdir}
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%{gem_instdir}/Gemfile
%doc %{gem_instdir}/README.md
%{gem_instdir}/grape-rails-routes.gemspec

%changelog
* Tue Apr 19 2022 mockbuilder - 1.0-1
- Initial package
